package com.jz.dmp.modules.controller.dataOperation;

import com.jz.common.constant.JsonResult;
import com.jz.common.constant.ResultCode;
import com.jz.common.page.PageInfoResponse;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevExamplesListDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevExamplesListReq;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListReq;
import com.jz.dmp.modules.service.DmpDevelopTaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * 数据运维-数据开发实例
 *
 * @author Bellamy
 * @since 2021-01-13 10:56:18
 */
@RestController
@RequestMapping("/dataDevExamples")
@Api(tags = "数据运维-数据开发实例")
public class DmpDevExamplesController {

    @Autowired
    private DmpDevelopTaskService dmpDevelopTaskService;

    /**
     * 列表分页查询
     *
     * @return
     * @author Bellamy
     * @since 2021-01-14
     */
    @ApiOperation(value = "列表分页查询", notes = "列表分页查询")
    @PostMapping(value = "/listPage")
    public PageInfoResponse<DataDevExamplesListDto> getDevExamplesListPage(@RequestBody @Validated DataDevExamplesListReq req, HttpServletRequest httpRequest) throws Exception {
        PageInfoResponse<DataDevExamplesListDto> pageInfo = new PageInfoResponse<DataDevExamplesListDto>();
        if (StringUtils.isEmpty(req.getProjectId())) {
            pageInfo.setMessage("项目id不能为空！");
            pageInfo.setCode(ResultCode.PARAMS_ERROR);
            return pageInfo;
        }
        try {
            pageInfo = dmpDevelopTaskService.queryDevExamplesListPage(req);
        } catch (Exception e) {
            pageInfo.setMessage("查询失败");
            pageInfo.setCode(ResultCode.INTERNAL_SERVER_ERROR);
            e.printStackTrace();
        }
        return pageInfo;
    }


}
