package com.jz.dmp.modules.controller.dataOperation.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: DataDevTaskListReq
 * @Description: 数据运维-数据开发任务列表请求参数
 * @Author：Bellamy
 * @Date 2021/01/13
 * @Version 1.0
 */
@ApiModel(value = "数据运维-数据开发任务列表请求参数", description = "数据开发任务列表请求参数")
public class DataDevTaskListReq extends BasePageBean {

    /*
     * 项目id
     * */
    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    @NotEmpty(message = "项目ID不能空")
    private String projectId;

    /*
     * 节点名称或id
     * */
    @ApiModelProperty(value = "节点名称或id")
    private String treeIdOrName;

    /*
     * 节点id
     * */
    @ApiModelProperty(value = "节点id")
    private String treeId;

    /*
     * 任务类型
     * */
    @ApiModelProperty(value = "任务类型")
    private String taskType;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTreeIdOrName() {
        return treeIdOrName;
    }

    public void setTreeIdOrName(String treeIdOrName) {
        this.treeIdOrName = treeIdOrName;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }
}
