package com.jz.dmp.modules.dao;


import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.modules.controller.bean.DmpDevelopTaskDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListReq;
import com.jz.dmp.modules.model.DmpDevelopTask;

public interface DmpDevelopTaskDao {


    Map getDmpTaskAndTreeInfo(String taskId) throws Exception;

    int deleteTaskByTaskId(String taskId) throws Exception;

    int deleteNavigationTreeByTreeId(String treeId) throws Exception;

    Integer getDbInfoByParam(@Param("xmlTdb") String xmlTdb, @Param("projectId") Integer projectId) throws Exception;

    int insert(DmpDevelopTask dmpDevelopTask) throws Exception;

    DmpDevelopTask selectTaskInfoByParam(@Param("treeId") long treeId) throws Exception;

    int update(DmpDevelopTask task) throws Exception;

    /**
     * 数据运维-数据开发任务列表分页查询
     *
     * @return
     * @author Bellamy
     * @since 2021-01-13
     */
    List<DataDevTaskListDto> queryDevTaskListPage(DataDevTaskListReq req) throws Exception;

    List<DataDevTaskListDto> queryTaskTreeInfo(Map params) throws Exception;

    /**条件查询任务开发
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpDevelopTask> findList(Map<String, Object> param)throws Exception;

}
