package com.jz.dmp.modules.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.dmp.modules.controller.bean.DmpNavigationTreeDto;
import com.jz.dmp.modules.controller.bean.DmpNavigationTreeRequest;
import com.jz.dmp.modules.model.DmpNavigationTree;

/**
 * DMP资源导航树(DmpNavigationTree)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-29 15:08:16
 */
public interface DmpNavigationTreeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DmpNavigationTree queryById(Integer id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DmpNavigationTree> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dmpNavigationTree 实例对象
     * @return 实例对象
     */
    DmpNavigationTree insert(DmpNavigationTree dmpNavigationTree)throws Exception;

    /**
     * 修改数据
     *
     * @param dmpNavigationTree 实例对象
     * @return 实例对象
     */
    DmpNavigationTree update(DmpNavigationTree dmpNavigationTree);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);
    
    /**条件查询所有DMP资源导航树
	 * @param dmpNavigationTreeRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpNavigationTreeDto> findList(DmpNavigationTreeRequest dmpNavigationTreeRequest, HttpServletRequest httpRequest)throws Exception;


}